diff --git python-os-testr/python-os-testr.spec python-os-testr/python-os-testr.spec.tmp
index af982eff49..280e01a9a0 100644
--- python-os-testr/python-os-testr.spec
+++ python-os-testr/python-os-testr.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.8.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A testr wrapper to provide functionality for OpenStack projects
 
 License:        ASL 2.0
@@ -19,17 +19,24 @@ BuildRequires:  python2-devel
 BuildRequires:  python-pbr
 BuildRequires:  python-setuptools
 
-Requires:       python-pbr
-Requires:       python-babel
-Requires:       python-testrepository
-Requires:       python-subunit
-Requires:       python-testtools
-Requires:       python-setuptools
+%global _description\
+ostestr is a testr wrapper that uses subunit-trace for output and builds\
+some helpful extra functionality around testr.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Provides:       python2-os-testr
+Requires:       python-setuptools
+Requires:       python-testtools
+Requires:       python-subunit
+Requires:       python-testrepository
+Requires:       python-babel
+Requires:       python-pbr
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-ostestr is a testr wrapper that uses subunit-trace for output and builds
-some helpful extra functionality around testr.
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
@@ -137,7 +144,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst
 %license LICENSE
 %if ! 0%{?with_python3}
@@ -172,6 +179,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.0-3
+- Python 2 subpackage renamed to python2-os-testr
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-OWSLib/python-OWSLib.spec python-OWSLib/python-OWSLib.spec.tmp
index 8a1b929419..440a6ca9b2 100644
--- python-OWSLib/python-OWSLib.spec
+++ python-OWSLib/python-OWSLib.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{modname}
 Version:        0.14.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Client library for OGC web services
 License:        BSD
 URL:            https://geopython.github.io/OWSLib
@@ -13,20 +13,28 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       pyproj
-Requires:       python-dateutil
-Requires:       python-requests
-Requires:       pytz
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-Package for client programming with Open Geospatial Consortium (OGC) web
+%global _description\
+Package for client programming with Open Geospatial Consortium (OGC) web\
 service (hence OWS) interface standards, and their related content models.
 
+%description %_description
+
+%package -n python2-owslib
+Summary: %summary
+Requires:       pytz
+Requires:       python-requests
+Requires:       python-dateutil
+Requires:       pyproj
+%{?python_provide:%python_provide python2-owslib}
+
+%description -n python2-owslib %_description
+
 %if 0%{?with_python3}
 %package -n python3-OWSLib
 Summary:        Client library for OGC web services
@@ -82,7 +90,7 @@ popd
 %endif # if with_python3
 
 
-%files
+%files -n python2-owslib
 %doc LICENSE.txt README.txt CHANGES.txt CREDITS.txt
 %{python_sitelib}/owslib
 %{python_sitelib}/%{modname}-%{version}-py*.egg-info
@@ -95,6 +103,10 @@ popd
 %endif # if with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.14.0-4
+- Python 2 subpackage renamed to python2-owslib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-paida/python-paida.spec python-paida/python-paida.spec.tmp
index e9b500ec57..66b56459c0 100644
--- python-paida/python-paida.spec
+++ python-paida/python-paida.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:		python-paida
 Version:	3.2.1_2.10.1
-Release:	15%{?dist}
+Release:	16%{?dist}
 Summary:	Pure Python scientific analysis package
 Group:		Development/Languages
 License:	Python
@@ -14,12 +14,20 @@ BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:	noarch
 
 BuildRequires:	python-devel
-Requires:	tkinter
 
-%description
-PAIDA is pure Python scientific analysis package and
+%global _description\
+PAIDA is pure Python scientific analysis package and\
 supports AIDA (Abstract Interfaces for Data Analysis).
 
+%description %_description
+
+%package -n python2-paida
+Summary: %summary
+Requires:	tkinter
+%{?python_provide:%python_provide python2-paida}
+
+%description -n python2-paida %_description
+
 %prep
 %setup -q -n %{oname}-%{version}
 
@@ -36,7 +44,7 @@ python setup.py install -O1 --skip-build --root %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-paida
 %defattr(-,root,root,-)
 %doc CHANGES PKG-INFO README
 %{python_sitelib}/%{oname}/
@@ -44,6 +52,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.1_2.10.1-16
+- Python 2 subpackage renamed to python2-paida
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1_2.10.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-parsedatetime/python-parsedatetime.spec python-parsedatetime/python-parsedatetime.spec.tmp
index ece34f5b38..7ab378df33 100644
--- python-parsedatetime/python-parsedatetime.spec
+++ python-parsedatetime/python-parsedatetime.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{realname}
 Version:        2.4
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Parse human-readable date/time strings in Python
 
 Group:          Development/Languages
@@ -42,10 +42,18 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-tox
 %endif
 
-%description
-parsedatetime is a python module that can parse human-readable date/time
+%global _description\
+parsedatetime is a python module that can parse human-readable date/time\
 strings.
 
+%description %_description
+
+%package -n python2-%{realname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{realname}}
+
+%description -n python2-%{realname} %_description
+
 %package doc
 Summary:       Documentation for the parsedatetime python module
 
@@ -121,7 +129,7 @@ fi
 %endif
 
 
-%files
+%files -n python2-%{realname}
 %license LICENSE.txt
 %doc AUTHORS.txt CHANGES.txt README.rst
 %{python2_sitelib}/%{realname}
@@ -139,6 +147,10 @@ fi
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.4-3
+- Python 2 subpackage renamed to python2-parsedatetime
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-parsley/python-parsley.spec python-parsley/python-parsley.spec.tmp
index f79ef4376f..9edf2448a3 100644
--- python-parsley/python-parsley.spec
+++ python-parsley/python-parsley.spec.tmp
@@ -2,7 +2,7 @@
 %global		lowname parsley
 Name:		python-parsley
 Version:	1.3
-Release:	5%{?dist}
+Release:	6%{?dist}
 Summary:	Parsing and pattern matching made easy
 License:	MIT
 URL:		https://launchpad.net/parsley
@@ -12,26 +12,34 @@ BuildRequires:	python2-devel
 BuildRequires:	python-twisted
 BuildRequires:	python-sphinx
 
-%description
-A parser generator library based on OMeta, and other useful parsing tools.
-Parsley is a parsing library for people who find parsers scary or
-annoying. I wrote it because I wanted to parse a programming language,
-and tools like PLY or ANTLR or Bison were very hard to understand and
-integrate into my Python code. Most parser generators are based on LL
-or LR parsing algorithms that compile to big state machine
-tables. It was like I had to wake up a different section of my brain
-to understand or work on grammar rules.
-
-Parsley, like pyparsing and ZestyParser, uses the PEG algorithm, so
-each expression in the grammar rules works like a Python
-expression. In particular, alternatives are evaluated in order, unlike
-table-driven parsers such as yacc, bison or PLY.
-
-Parsley is an implementation of OMeta, an object-oriented
-pattern-matching language developed by Alessandro Warth at
-thesis, which provides a detailed description of OMeta:
+%global _description\
+A parser generator library based on OMeta, and other useful parsing tools.\
+Parsley is a parsing library for people who find parsers scary or\
+annoying. I wrote it because I wanted to parse a programming language,\
+and tools like PLY or ANTLR or Bison were very hard to understand and\
+integrate into my Python code. Most parser generators are based on LL\
+or LR parsing algorithms that compile to big state machine\
+tables. It was like I had to wake up a different section of my brain\
+to understand or work on grammar rules.\
+\
+Parsley, like pyparsing and ZestyParser, uses the PEG algorithm, so\
+each expression in the grammar rules works like a Python\
+expression. In particular, alternatives are evaluated in order, unlike\
+table-driven parsers such as yacc, bison or PLY.\
+\
+Parsley is an implementation of OMeta, an object-oriented\
+pattern-matching language developed by Alessandro Warth at\
+thesis, which provides a detailed description of OMeta:\
 http://www.vpri.org/pdf/tr2008003_experimenting.pdf
 
+%description %_description
+
+%package -n python2-parsley
+Summary: %summary
+%{?python_provide:%python_provide python2-parsley}
+
+%description -n python2-parsley %_description
+
 %prep
 %setup -q -n %{oname}-%{version}
 rm -rf *.egg*
@@ -62,7 +70,7 @@ cp -a %{_builddir}/%{oname}-%{version}/doc/_build/man/%{lowname}.1* %{buildroot}
 # %{__python2} -m unittest -v test_runtime
 # popd
 
-%files
+%files -n python2-parsley
 %doc LICENSE NEWS README
 %{_mandir}/man1/%{lowname}.1*
 %{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
@@ -71,6 +79,10 @@ cp -a %{_builddir}/%{oname}-%{version}/doc/_build/man/%{lowname}.1* %{buildroot}
 %{python2_sitelib}/terml/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-6
+- Python 2 subpackage renamed to python2-parsley
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pathlib/python-pathlib.spec python-pathlib/python-pathlib.spec.tmp
index 8d64a20bb2..52ce5c9ae2 100644
--- python-pathlib/python-pathlib.spec
+++ python-pathlib/python-pathlib.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.0.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Object-oriented filesystem paths
 
 License:        MIT
@@ -14,18 +14,26 @@ BuildRequires:  python2-devel
 BuildRequires:  python-sphinx
 
 
-%description
-pathlib offers a set of classes to handle filesystem paths.  It offers the
-following advantages over using string objects:
+%global _description\
+pathlib offers a set of classes to handle filesystem paths.  It offers the\
+following advantages over using string objects:\
+\
+* No more cumbersome use of os and os.path functions.  Everything can be\
+ done easily through operators, attribute accesses, and method calls.\
+* Embodies the semantics of different path types.  For example, comparing\
+ Windows paths ignores casing.\
+*  Well-defined semantics, eliminating any warts or ambiguities (forward vs.\
+ backward slashes, etc.).\
+\
+It's part of Python 3.4+ standard library.
 
-* No more cumbersome use of os and os.path functions.  Everything can be
- done easily through operators, attribute accesses, and method calls.
-* Embodies the semantics of different path types.  For example, comparing
- Windows paths ignores casing.
-*  Well-defined semantics, eliminating any warts or ambiguities (forward vs.
- backward slashes, etc.).
+%description %_description
 
-It's part of Python 3.4+ standard library.
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{version}
@@ -45,13 +53,17 @@ rm -rf html/.{doctrees,buildinfo}
 
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc html README.txt
 %license LICENSE.txt
 %{python2_sitelib}/%{pypi_name}.py*
 %{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-6
+- Python 2 subpackage renamed to python2-pathlib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pathtools/python-pathtools.spec python-pathtools/python-pathtools.spec.tmp
index 5c926f6c93..5a2e19533d 100644
--- python-pathtools/python-pathtools.spec
+++ python-pathtools/python-pathtools.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-%{upname}
 Version:	0.1.2
-Release:	10%{?dist}
+Release:	11%{?dist}
 Summary:	Pattern matching and various utilities for file systems paths
 
 License:	MIT
@@ -21,10 +21,18 @@ BuildRequires:	python3-setuptools
 BuildRequires:	python3-sphinx-theme-flask
 %endif
 
-%description
-%{name} is a Python API library for common path
-and pattern functionality.
+%global _description\
+%{name} is a Python API library for common path\
+and pattern functionality.\
+
 
+%description %_description
+
+%package -n python2-%{upname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{upname}}
+
+%description -n python2-%{upname} %_description
 
 %if 0%{?fedora} || 0%{?rhel} >= 7
 %package -n python3-%{upname}
@@ -95,7 +103,7 @@ pushd %{py3dir}
 %endif
 
 
-%files
+%files -n python2-%{upname}
 %doc AUTHORS LICENSE README
 %{?el6:%doc README.docs}
 %{?!el6:%doc docs/build/html}
@@ -109,6 +117,10 @@ pushd %{py3dir}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.2-11
+- Python 2 subpackage renamed to python2-pathtools
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-peak-rules/python-peak-rules.spec python-peak-rules/python-peak-rules.spec.tmp
index 62b5fd7320..5928498e39 100644
--- python-peak-rules/python-peak-rules.spec
+++ python-peak-rules/python-peak-rules.spec.tmp
@@ -13,7 +13,7 @@ Version:        0.5a1.dev
 # Release:0.3.a1.dev%{devrev}%{?dist}
 # But we can't do that yet because it breaks the upgrade path.
 # When version hits 0.5.1 or 0.6 we can correct this.
-Release:        24.a1.dev.20100803svn%{devrev}%{?dist}
+Release:        25.a1.dev.20100803svn%{devrev}%{?dist}
 Summary:        Generic functions and business rules support systems
 
 Group:          Development/Languages
@@ -33,18 +33,25 @@ BuildRequires:       python-peak-util-addons >= 0.6
 BuildRequires:       python-peak-util-extremes >= 1.1
 BuildRequires:       python-decoratortools >= 1.7
 
-Requires:       python-peak-util-assembler >= 0.3
-Requires:       python-peak-util-addons >= 0.6
-Requires:       python-peak-util-extremes >= 1.1
+%global _description\
+PEAK-Rules is a highly-extensible framework for creating and using generic\
+functions, from the very simple to the very complex.  Out of the box, it\
+supports multiple-dispatch on positional arguments using tuples of types,\
+full predicate dispatch using strings containing Python expressions, and\
+CLOS-like method combining.  (But the framework allows you to mix and match\
+dispatch engines and custom method combinations, if you need or want to.)
+
+%description %_description
+
+%package -n python2-peak-rules
+Summary: %summary
 Requires:       python-decoratortools >= 1.7
+Requires:       python-peak-util-extremes >= 1.1
+Requires:       python-peak-util-addons >= 0.6
+Requires:       python-peak-util-assembler >= 0.3
+%{?python_provide:%python_provide python2-peak-rules}
 
-%description
-PEAK-Rules is a highly-extensible framework for creating and using generic
-functions, from the very simple to the very complex.  Out of the box, it
-supports multiple-dispatch on positional arguments using tuples of types,
-full predicate dispatch using strings containing Python expressions, and
-CLOS-like method combining.  (But the framework allows you to mix and match
-dispatch engines and custom method combinations, if you need or want to.)
+%description -n python2-peak-rules %_description
 
 %prep
 %setup -q -n %{packagename}-%{version}-r%{devrev}
@@ -68,12 +75,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-peak-rules
 %defattr(-,root,root,-)
 %doc %{docs}
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5a1.dev-25.a1.dev.20100803svn2646
+- Python 2 subpackage renamed to python2-peak-rules
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5a1.dev-24.a1.dev.20100803svn2646
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-peak-util-addons/python-peak-util-addons.spec python-peak-util-addons/python-peak-util-addons.spec.tmp
index 338a1133ae..2b241fbb92 100644
--- python-peak-util-addons/python-peak-util-addons.spec
+++ python-peak-util-addons/python-peak-util-addons.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-peak-util-addons
 Version:        0.7
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Dynamically extend other objects with AddOns
 
 Group:          Development/Languages
@@ -22,19 +22,27 @@ BuildRequires:  python-setuptools-devel
 %else
 BuildRequires:  python-setuptools
 %endif
-Requires:       python-decoratortools >= 1.5
-
-%description
-In any sufficiently-sized application or framework, it's common to end up
-lumping a lot of different concerns into the same class.  For example, you may
-have business logic, persistence code, and UI all jammed into a single class.
-Attribute and method names for all sorts of different operations get shoved
-into a single namespace -- even when using mixin classes.
 
-Separating concerns into different objects, however, makes it easier to write
-reusable and separately-testable components.  The AddOns package
+%global _description\
+In any sufficiently-sized application or framework, it's common to end up\
+lumping a lot of different concerns into the same class.  For example, you may\
+have business logic, persistence code, and UI all jammed into a single class.\
+Attribute and method names for all sorts of different operations get shoved\
+into a single namespace -- even when using mixin classes.\
+\
+Separating concerns into different objects, however, makes it easier to write\
+reusable and separately-testable components.  The AddOns package\
 (``peak.util.addons``) lets you manage concerns using ``AddOn`` classes.
 
+%description %_description
+
+%package -n python2-peak-util-addons
+Summary: %summary
+Requires:       python-decoratortools >= 1.5
+%{?python_provide:%python_provide python2-peak-util-addons}
+
+%description -n python2-peak-util-addons %_description
+
 %prep
 %setup -q -n %{packagename}-%{version}
 
@@ -48,12 +56,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-peak-util-addons
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7-14
+- Python 2 subpackage renamed to python2-peak-util-addons
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-peak-util-assembler/python-peak-util-assembler.spec python-peak-util-assembler/python-peak-util-assembler.spec.tmp
index 6add30c331..6824647ab5 100644
--- python-peak-util-assembler/python-peak-util-assembler.spec
+++ python-peak-util-assembler/python-peak-util-assembler.spec.tmp
@@ -7,7 +7,7 @@
 Name:           python-peak-util-assembler
 Version:        0.6
 # Post release snapshot
-Release:        13.20100803svn2646%{?dist}
+Release:        14.20100803svn2646%{?dist}
 Summary:        Generate Python code objects by "assembling" bytecode
 
 Group:          Development/Languages
@@ -28,21 +28,28 @@ BuildRequires: python-setuptools
 BuildRequires:       python-decoratortools >= 1.2
 BuildRequires:       python-peak-util-symbols >= 1.0
 
-Requires:       python-decoratortools >= 1.2
+%global _description\
+peak.util.assembler is a simple bytecode assembler module that handles most\
+low-level bytecode generation details like jump offsets, stack size tracking,\
+line number table generation, constant and variable name index tracking, etc.\
+That way, you can focus your attention on the desired semantics of your\
+bytecode instead of on these mechanical issues.\
+\
+In addition to a low-level opcode-oriented API for directly generating specific\
+Python bytecodes, this module also offers an extensible mini-AST framework for\
+generating code from high-level specifications.  This framework does most of\
+the work needed to transform tree-like structures into linear bytecode\
+instructions, and includes the ability to do compile-time constant folding.
+
+%description %_description
+
+%package -n python2-peak-util-assembler
+Summary: %summary
 Requires:       python-peak-util-symbols >= 1.0
+Requires:       python-decoratortools >= 1.2
+%{?python_provide:%python_provide python2-peak-util-assembler}
 
-%description
-peak.util.assembler is a simple bytecode assembler module that handles most
-low-level bytecode generation details like jump offsets, stack size tracking,
-line number table generation, constant and variable name index tracking, etc.
-That way, you can focus your attention on the desired semantics of your
-bytecode instead of on these mechanical issues.
-
-In addition to a low-level opcode-oriented API for directly generating specific
-Python bytecodes, this module also offers an extensible mini-AST framework for
-generating code from high-level specifications.  This framework does most of
-the work needed to transform tree-like structures into linear bytecode
-instructions, and includes the ability to do compile-time constant folding.
+%description -n python2-peak-util-assembler %_description
 
 %prep
 %setup -q -n %{packagename}-%{version}-r2646
@@ -60,12 +67,16 @@ python setup.py test
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-peak-util-assembler
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-14.20100803svn2646
+- Python 2 subpackage renamed to python2-peak-util-assembler
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-13.20100803svn2646
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-peak-util-extremes/python-peak-util-extremes.spec python-peak-util-extremes/python-peak-util-extremes.spec.tmp
index de0f4c8bcc..de9b0d16af 100644
--- python-peak-util-extremes/python-peak-util-extremes.spec
+++ python-peak-util-extremes/python-peak-util-extremes.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-peak-util-extremes
 Version:        1.1.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Production-quality 'Min' and 'Max' objects
 
 Group:          Development/Languages
@@ -26,15 +26,23 @@ BuildRequires:  python-setuptools-devel
 BuildRequires: python-setuptools
 %endif
 
-%description 
-The peak.util.extremes module provides a production-quality implementation of
-the Min and Max objects from PEP 326.  While PEP 326 was rejected for inclusion
-in the language or standard library, the objects described in it are useful in
-a variety of applications.  In PEAK, they have been used to implement generic
-functions (in RuleDispatch and PEAK-Rules), as well as to handle scheduling and
-time operations in the Trellis.  Because this has led to each project copying
+%global _description\
+The peak.util.extremes module provides a production-quality implementation of\
+the Min and Max objects from PEP 326.  While PEP 326 was rejected for inclusion\
+in the language or standard library, the objects described in it are useful in\
+a variety of applications.  In PEAK, they have been used to implement generic\
+functions (in RuleDispatch and PEAK-Rules), as well as to handle scheduling and\
+time operations in the Trellis.  Because this has led to each project copying\
 the same code, we've now split the module out so it can be used independently.
 
+%description %_description
+
+%package -n python2-peak-util-extremes
+Summary: %summary
+%{?python_provide:%python_provide python2-peak-util-extremes}
+
+%description -n python2-peak-util-extremes %_description
+
 %prep
 %setup -q -n %{packagename}-%{version}
 %patch0 -b .setup
@@ -49,12 +57,16 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-peak-util-extremes
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.1-14
+- Python 2 subpackage renamed to python2-peak-util-extremes
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-peak-util-symbols/python-peak-util-symbols.spec python-peak-util-symbols/python-peak-util-symbols.spec.tmp
index 589cd0e97d..69716ff6c9 100644
--- python-peak-util-symbols/python-peak-util-symbols.spec
+++ python-peak-util-symbols/python-peak-util-symbols.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-peak-util-symbols
 Version:        1.0
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Simple "symbol" type, useful for enumerations or sentinels
 
 Group:          Development/Languages
@@ -18,12 +18,20 @@ BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-nose
 
-%description
-SymbolType gives you access to the peak.util.symbols module, previously
-available only by installing the full PEAK toolkit. peak.util.symbols provides
-a Symbol type and two built-in symbols that are used by PEAK: NOT_FOUND and
+%global _description\
+SymbolType gives you access to the peak.util.symbols module, previously\
+available only by installing the full PEAK toolkit. peak.util.symbols provides\
+a Symbol type and two built-in symbols that are used by PEAK: NOT_FOUND and\
 NOT_GIVEN.
 
+%description %_description
+
+%package -n python2-peak-util-symbols
+Summary: %summary
+%{?python_provide:%python_provide python2-peak-util-symbols}
+
+%description -n python2-peak-util-symbols %_description
+
 %prep
 %setup -q -n %{packagename}-%{version}
 
@@ -40,12 +48,16 @@ nosetests
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-peak-util-symbols
 %defattr(-,root,root,-)
 %doc README.txt
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-18
+- Python 2 subpackage renamed to python2-peak-util-symbols
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pgpdump/python-pgpdump.spec python-pgpdump/python-pgpdump.spec.tmp
index 5a474c8ec9..aeee42774a 100644
--- python-pgpdump/python-pgpdump.spec
+++ python-pgpdump/python-pgpdump.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:           python-%{pkgname}
 Version:        1.5
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        PGP packet parser library in Python 2.x
 URL:            https://github.com/toofishes/python-pgpdump
 Source0:        https://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
@@ -19,18 +19,26 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 
 %if 0%{?with_python3}
-%description
-python-pgpdump is a Python 2 library for parsing PGP packets. The intent here
-is not on completeness, as we don't currently decode every packet type, but
-on being able to do what people actually have to 95% of the time.
+%global _description\
+python-pgpdump is a Python 2 library for parsing PGP packets. The intent here\
+is not on completeness, as we don't currently decode every packet type, but\
+on being able to do what people actually have to 95% of the time.\
+\
+Currently supported things include:\
+\
+* Signature packets\
+* Public key packets\
+* Secret key packets\
+* Trust, user ID, and user attribute packets\
+* ASCII-armor decoding and CRC check
 
-Currently supported things include:
+%description %_description
 
-* Signature packets
-* Public key packets
-* Secret key packets
-* Trust, user ID, and user attribute packets
-* ASCII-armor decoding and CRC check
+%package -n python2-%{pkgname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pkgname}}
+
+%description -n python2-%{pkgname} %_description
 
 %package -n     python3-%{pkgname}
 Summary:        PGP packet parser library in Python 3.x
@@ -98,7 +106,7 @@ PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} pgpdump/test.py
 popd
 %endif
 
-%files
+%files -n python2-%{pkgname}
 %doc README.md
 %license COPYRIGHT
 %{python2_sitelib}/%{pkgname}-%{version}-py%{python2_version}.egg-info
@@ -113,6 +121,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-8
+- Python 2 subpackage renamed to python2-pgpdump
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
